<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
if (empty($id)) {
header ('location: /index.html');
exit;
}
$title->SetTitle(''.homeurl.' - '.user_inf($id, 'nick'));
///Подключаем шапку
$title->GetHeader();

echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Добавленные файлы</h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Добавленные файлы</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - Добавленные файлы '.user_inf($id, 'nick').'</div>';

$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM `downs` WHERE `user_id` = ? AND `mod` = ?", [$id,0]);
if ($look == 0) {
err('Нет файлов!');
}
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM `downs` WHERE `user_id` = ? AND `mod` = ? ORDER BY `time` DESC LIMIT $start,$num",[$id,0]);
while($a = $sql->fetch()) {
echo '<div class="row text_box"><a href="/downs/file.html?id='.$a['id'].'"><i class="md-file-download"></i> '.$a['name'].' ('.get_size($a['size']).')</a></div>';
}
if ($k_page > 1) {
str('?id='.$id.'&',$k_page,$page);
}
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>